> ## Documentation Index
> Fetch the complete documentation index at: https://docs.prequel.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List recipients

> The Recipient endpoint returns the configured data recipients. Recipients are the customers who will consume data.



## OpenAPI

````yaml /generated/openapi-generated-2023-12-01.json get /recipients
openapi: 3.1.0
info:
  title: Prequel Data Export
  description: Data Export API spec
  version: '2023-12-01'
servers:
  - url: https://api.prequel.co
    description: Cloud-hosted server (US)
  - url: https://eu-api.prequel.co
    description: Cloud-hosted server (EU)
  - url: https://{custom_host}/
    description: Cloud-prem or shared-cloud server
security:
  - ApiKeyAuth: []
paths:
  /recipients:
    get:
      tags:
        - Recipients
      summary: List recipients
      description: >-
        The Recipient endpoint returns the configured data recipients.
        Recipients are the customers who will consume data.
      operationId: list-recipients
      parameters:
        - name: id_in_provider_system
          in: query
          required: false
          description: >-
            Id of the organization to whom this recipient corresponds in the
            provider's system. In other words, likely some kind of org_id or
            customer_id in your system. Multiple values can be provided as a
            comma-separated string.
          schema:
            type: string
        - name: page_size
          in: query
          required: false
          description: Number of items to return per page.
          schema:
            type: integer
        - name: order
          in: query
          required: false
          description: Sort order for items
          schema:
            type: string
            enum:
              - asc
              - desc
        - name: cursor
          in: query
          required: false
          description: >-
            Used for pagination - represents last page seen. Value is included
            in response when there is a next page.
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: string
                    const: success
                  data:
                    $ref: '#/components/schemas/ListRecipientResponse'
                    $schema: https://json-schema.org/draft/2020-12/schema
                    $id: >-
                      https://github.com/prequel-co/datafeed/internal/export/api/models/list-recipient-response
                  message:
                    type: string
                  has_next:
                    type: boolean
                    description: Whether there are more items beyond this page.
                  next_url:
                    type: string
                    description: >-
                      Full URL to fetch the next page. Only present when
                      has_next is true.
                type: object
                required:
                  - status
                  - data
                  - message
                  - has_next
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/InternalServerError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    ListRecipientResponse:
      properties:
        recipients:
          items:
            $ref: '#/components/schemas/RecipientResource'
          type: array
      additionalProperties: false
      type: object
      required:
        - recipients
    RecipientResource:
      properties:
        id:
          type: string
          description: The unique identifier for the recipient.
        name:
          type: string
          description: The name of the recipient.
        products:
          items:
            type: string
          type: array
          description: The products that the recipient has assigned.
        id_in_provider_system:
          type: string
          description: The ID used in source system for the recipient.
        default_full_refresh_min_start_time_epoch:
          type: integer
          description: >-
            Default minimum Unix epoch timestamp (in seconds) for full refresh
            transfers. When set: full refresh transfers will only include rows
            with a last_updated_at value greater than or equal to this epoch.
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
      additionalProperties: false
      type: object
      required:
        - id
        - name
        - products
        - id_in_provider_system
    ErrorResponse:
      properties:
        status:
          type: string
          const: error
        message:
          type: string
        data:
          type: 'null'
      type: object
      required:
        - status
        - message
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    NotFound:
      description: Not Found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    InternalServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````